<?php
$tdatastatistics_b_01 = array();
$tdatastatistics_b_01[".searchableFields"] = array();
$tdatastatistics_b_01[".ShortName"] = "statistics_b_01";
$tdatastatistics_b_01[".OwnerID"] = "";
$tdatastatistics_b_01[".OriginalTable"] = "statistics_b_01";


$tdatastatistics_b_01[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatastatistics_b_01[".originalPagesByType"] = $tdatastatistics_b_01[".pagesByType"];
$tdatastatistics_b_01[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatastatistics_b_01[".originalPages"] = $tdatastatistics_b_01[".pages"];
$tdatastatistics_b_01[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatastatistics_b_01[".originalDefaultPages"] = $tdatastatistics_b_01[".defaultPages"];

//	field labels
$fieldLabelsstatistics_b_01 = array();
$fieldToolTipsstatistics_b_01 = array();
$pageTitlesstatistics_b_01 = array();
$placeHoldersstatistics_b_01 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatistics_b_01["English"] = array();
	$fieldToolTipsstatistics_b_01["English"] = array();
	$placeHoldersstatistics_b_01["English"] = array();
	$pageTitlesstatistics_b_01["English"] = array();
	$fieldLabelsstatistics_b_01["English"]["Region"] = "Region";
	$fieldToolTipsstatistics_b_01["English"]["Region"] = "";
	$placeHoldersstatistics_b_01["English"]["Region"] = "";
	$fieldLabelsstatistics_b_01["English"]["numRegion"] = "Num Region";
	$fieldToolTipsstatistics_b_01["English"]["numRegion"] = "";
	$placeHoldersstatistics_b_01["English"]["numRegion"] = "";
	$fieldLabelsstatistics_b_01["English"]["V"] = "V";
	$fieldToolTipsstatistics_b_01["English"]["V"] = "";
	$placeHoldersstatistics_b_01["English"]["V"] = "";
	$fieldLabelsstatistics_b_01["English"]["Total"] = "Total";
	$fieldToolTipsstatistics_b_01["English"]["Total"] = "";
	$placeHoldersstatistics_b_01["English"]["Total"] = "";
	$fieldLabelsstatistics_b_01["English"]["Percentage"] = "Percentage";
	$fieldToolTipsstatistics_b_01["English"]["Percentage"] = "";
	$placeHoldersstatistics_b_01["English"]["Percentage"] = "";
	$fieldLabelsstatistics_b_01["English"]["P_ma3"] = "P Ma3";
	$fieldToolTipsstatistics_b_01["English"]["P_ma3"] = "";
	$placeHoldersstatistics_b_01["English"]["P_ma3"] = "";
	$fieldLabelsstatistics_b_01["English"]["P_dod"] = "P Dod";
	$fieldToolTipsstatistics_b_01["English"]["P_dod"] = "";
	$placeHoldersstatistics_b_01["English"]["P_dod"] = "";
	$fieldLabelsstatistics_b_01["English"]["P_tachkil"] = "P Tachkil";
	$fieldToolTipsstatistics_b_01["English"]["P_tachkil"] = "";
	$placeHoldersstatistics_b_01["English"]["P_tachkil"] = "";
	$fieldLabelsstatistics_b_01["English"]["P_majhoul"] = "P Majhoul";
	$fieldToolTipsstatistics_b_01["English"]["P_majhoul"] = "";
	$placeHoldersstatistics_b_01["English"]["P_majhoul"] = "";
	if (count($fieldToolTipsstatistics_b_01["English"]))
		$tdatastatistics_b_01[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatistics_b_01["Arabic"] = array();
	$fieldToolTipsstatistics_b_01["Arabic"] = array();
	$placeHoldersstatistics_b_01["Arabic"] = array();
	$pageTitlesstatistics_b_01["Arabic"] = array();
	$fieldLabelsstatistics_b_01["Arabic"]["Region"] = "Region";
	$fieldToolTipsstatistics_b_01["Arabic"]["Region"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["Region"] = "";
	$fieldLabelsstatistics_b_01["Arabic"]["numRegion"] = "Num Region";
	$fieldToolTipsstatistics_b_01["Arabic"]["numRegion"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["numRegion"] = "";
	$fieldLabelsstatistics_b_01["Arabic"]["V"] = "V";
	$fieldToolTipsstatistics_b_01["Arabic"]["V"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["V"] = "";
	$fieldLabelsstatistics_b_01["Arabic"]["Total"] = "Total";
	$fieldToolTipsstatistics_b_01["Arabic"]["Total"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["Total"] = "";
	$fieldLabelsstatistics_b_01["Arabic"]["Percentage"] = "Percentage";
	$fieldToolTipsstatistics_b_01["Arabic"]["Percentage"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["Percentage"] = "";
	$fieldLabelsstatistics_b_01["Arabic"]["P_ma3"] = "P Ma3";
	$fieldToolTipsstatistics_b_01["Arabic"]["P_ma3"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["P_ma3"] = "";
	$fieldLabelsstatistics_b_01["Arabic"]["P_dod"] = "P Dod";
	$fieldToolTipsstatistics_b_01["Arabic"]["P_dod"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["P_dod"] = "";
	$fieldLabelsstatistics_b_01["Arabic"]["P_tachkil"] = "P Tachkil";
	$fieldToolTipsstatistics_b_01["Arabic"]["P_tachkil"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["P_tachkil"] = "";
	$fieldLabelsstatistics_b_01["Arabic"]["P_majhoul"] = "P Majhoul";
	$fieldToolTipsstatistics_b_01["Arabic"]["P_majhoul"] = "";
	$placeHoldersstatistics_b_01["Arabic"]["P_majhoul"] = "";
	if (count($fieldToolTipsstatistics_b_01["Arabic"]))
		$tdatastatistics_b_01[".isUseToolTips"] = true;
}


	$tdatastatistics_b_01[".NCSearch"] = true;



$tdatastatistics_b_01[".shortTableName"] = "statistics_b_01";
$tdatastatistics_b_01[".nSecOptions"] = 0;

$tdatastatistics_b_01[".mainTableOwnerID"] = "";
$tdatastatistics_b_01[".entityType"] = 0;
$tdatastatistics_b_01[".connId"] = "electiondb_at_ssl_localhost";


$tdatastatistics_b_01[".strOriginalTableName"] = "statistics_b_01";

	



$tdatastatistics_b_01[".showAddInPopup"] = false;

$tdatastatistics_b_01[".showEditInPopup"] = false;

$tdatastatistics_b_01[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastatistics_b_01[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatistics_b_01[".listAjax"] = false;
//	temporary
$tdatastatistics_b_01[".listAjax"] = false;

	$tdatastatistics_b_01[".audit"] = false;

	$tdatastatistics_b_01[".locking"] = false;


$pages = $tdatastatistics_b_01[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastatistics_b_01[".edit"] = true;
	$tdatastatistics_b_01[".afterEditAction"] = 1;
	$tdatastatistics_b_01[".closePopupAfterEdit"] = 1;
	$tdatastatistics_b_01[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastatistics_b_01[".add"] = true;
$tdatastatistics_b_01[".afterAddAction"] = 1;
$tdatastatistics_b_01[".closePopupAfterAdd"] = 1;
$tdatastatistics_b_01[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastatistics_b_01[".list"] = true;
}



$tdatastatistics_b_01[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastatistics_b_01[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastatistics_b_01[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastatistics_b_01[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastatistics_b_01[".printFriendly"] = true;
}



$tdatastatistics_b_01[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastatistics_b_01[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastatistics_b_01[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastatistics_b_01[".isUseAjaxSuggest"] = true;

$tdatastatistics_b_01[".rowHighlite"] = true;





$tdatastatistics_b_01[".ajaxCodeSnippetAdded"] = false;

$tdatastatistics_b_01[".buttonsAdded"] = false;

$tdatastatistics_b_01[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatistics_b_01[".isUseTimeForSearch"] = false;


$tdatastatistics_b_01[".badgeColor"] = "778899";


$tdatastatistics_b_01[".allSearchFields"] = array();
$tdatastatistics_b_01[".filterFields"] = array();
$tdatastatistics_b_01[".requiredSearchFields"] = array();

$tdatastatistics_b_01[".googleLikeFields"] = array();
$tdatastatistics_b_01[".googleLikeFields"][] = "Region";
$tdatastatistics_b_01[".googleLikeFields"][] = "numRegion";
$tdatastatistics_b_01[".googleLikeFields"][] = "V";
$tdatastatistics_b_01[".googleLikeFields"][] = "Total";
$tdatastatistics_b_01[".googleLikeFields"][] = "Percentage";
$tdatastatistics_b_01[".googleLikeFields"][] = "P_ma3";
$tdatastatistics_b_01[".googleLikeFields"][] = "P_dod";
$tdatastatistics_b_01[".googleLikeFields"][] = "P_tachkil";
$tdatastatistics_b_01[".googleLikeFields"][] = "P_majhoul";



$tdatastatistics_b_01[".tableType"] = "list";

$tdatastatistics_b_01[".printerPageOrientation"] = 0;
$tdatastatistics_b_01[".nPrinterPageScale"] = 100;

$tdatastatistics_b_01[".nPrinterSplitRecords"] = 40;

$tdatastatistics_b_01[".geocodingEnabled"] = false;










$tdatastatistics_b_01[".pageSize"] = 20;

$tdatastatistics_b_01[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatistics_b_01[".strOrderBy"] = $tstrOrderBy;

$tdatastatistics_b_01[".orderindexes"] = array();


$tdatastatistics_b_01[".sqlHead"] = "SELECT Region,  	numRegion,  	V,  	Total,  	Percentage,  	P_ma3,  	P_dod,  	P_tachkil,  	P_majhoul";
$tdatastatistics_b_01[".sqlFrom"] = "FROM statistics_b_01";
$tdatastatistics_b_01[".sqlWhereExpr"] = "";
$tdatastatistics_b_01[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatistics_b_01[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatistics_b_01[".arrGroupsPerPage"] = $arrGPP;

$tdatastatistics_b_01[".highlightSearchResults"] = true;

$tableKeysstatistics_b_01 = array();
$tdatastatistics_b_01[".Keys"] = $tableKeysstatistics_b_01;


$tdatastatistics_b_01[".hideMobileList"] = array();




//	Region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Region";
	$fdata["GoodName"] = "Region";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","Region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["Region"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "Region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["numRegion"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "numRegion";
//	V
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "V";
	$fdata["GoodName"] = "V";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","V");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "V";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "V";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["V"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "V";
//	Total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Total";
	$fdata["GoodName"] = "Total";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","Total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["Total"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "Total";
//	Percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Percentage";
	$fdata["GoodName"] = "Percentage";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","Percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["Percentage"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "Percentage";
//	P_ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "P_ma3";
	$fdata["GoodName"] = "P_ma3";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","P_ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["P_ma3"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "P_ma3";
//	P_dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "P_dod";
	$fdata["GoodName"] = "P_dod";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","P_dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["P_dod"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "P_dod";
//	P_tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "P_tachkil";
	$fdata["GoodName"] = "P_tachkil";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","P_tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["P_tachkil"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "P_tachkil";
//	P_majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "P_majhoul";
	$fdata["GoodName"] = "P_majhoul";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01","P_majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01["P_majhoul"] = $fdata;
		$tdatastatistics_b_01[".searchableFields"][] = "P_majhoul";


$tables_data["statistics_b_01"]=&$tdatastatistics_b_01;
$field_labels["statistics_b_01"] = &$fieldLabelsstatistics_b_01;
$fieldToolTips["statistics_b_01"] = &$fieldToolTipsstatistics_b_01;
$placeHolders["statistics_b_01"] = &$placeHoldersstatistics_b_01;
$page_titles["statistics_b_01"] = &$pageTitlesstatistics_b_01;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["statistics_b_01"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["statistics_b_01"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_statistics_b_01()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Region,  	numRegion,  	V,  	Total,  	Percentage,  	P_ma3,  	P_dod,  	P_tachkil,  	P_majhoul";
$proto0["m_strFrom"] = "FROM statistics_b_01";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto6["m_sql"] = "Region";
$proto6["m_srcTableName"] = "statistics_b_01";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "statistics_b_01";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "V",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto10["m_sql"] = "V";
$proto10["m_srcTableName"] = "statistics_b_01";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Total",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto12["m_sql"] = "Total";
$proto12["m_srcTableName"] = "statistics_b_01";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Percentage",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto14["m_sql"] = "Percentage";
$proto14["m_srcTableName"] = "statistics_b_01";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "P_ma3",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto16["m_sql"] = "P_ma3";
$proto16["m_srcTableName"] = "statistics_b_01";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "P_dod",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto18["m_sql"] = "P_dod";
$proto18["m_srcTableName"] = "statistics_b_01";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "P_tachkil",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto20["m_sql"] = "P_tachkil";
$proto20["m_srcTableName"] = "statistics_b_01";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "P_majhoul",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01"
));

$proto22["m_sql"] = "P_majhoul";
$proto22["m_srcTableName"] = "statistics_b_01";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "statistics_b_01";
$proto25["m_srcTableName"] = "statistics_b_01";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "Region";
$proto25["m_columns"][] = "numRegion";
$proto25["m_columns"][] = "V";
$proto25["m_columns"][] = "Total";
$proto25["m_columns"][] = "Percentage";
$proto25["m_columns"][] = "P_ma3";
$proto25["m_columns"][] = "P_dod";
$proto25["m_columns"][] = "P_tachkil";
$proto25["m_columns"][] = "P_majhoul";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "statistics_b_01";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "statistics_b_01";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="statistics_b_01";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_statistics_b_01 = createSqlQuery_statistics_b_01();


	
		;

									

$tdatastatistics_b_01[".sqlquery"] = $queryData_statistics_b_01;



$tableEvents["statistics_b_01"] = new eventsBase;
$tdatastatistics_b_01[".hasEvents"] = false;

?>